"""

Elektromotor

Strom + Spannung, Leistung kW / W
48V Support, Ladezustand
Drehzahl
Position Gashebel
Temperatur Motor, Controller, Batterie
Status des Controllers
Fehlercodes

Batterie: 127506, 127508, 127513

N2K Engine: 127448, 127489

"""

import cairo
import math
from .page import Page

class EPropulsion(Page):

    def draw(self, ctx):
        # Title
        ctx.select_font_face("Ubuntu", cairo.FontSlant.NORMAL, cairo.FontWeight.BOLD)
        ctx.set_font_size(24)
        ctx.move_to(10, 45)
        ctx.show_text("E-Propulsion")
